[Pharo-project] Macintosh os-x 10.4.x and Alien & ObjectiveC plugins get updated.

John M McIntosh johnmci at smalltalkconsulting.com
Thu Sep 17 00:42:50 EDT 2009


In the sometimes hectic rush in building both the Alien and ObjectiveC  
plugins for OS-X  when
Apple pushed out it seems 53 beta version of XCode for snow leopard  
and iPhone OS 3.x I managed
to build both plugins for OS-X 10.5 only.

Finally someone noticed, oddly this took awhile...

Therefore today I did recompile the IA32ABI.bundle (Alien plugin) for  
usage on 10.4.x as  IA32ABI.1.1.1.bundle.zip
and uploaded to my ftp site  (experimental folder).

The ObjectiveCPlugin was more problematic, since it makes optional use  
of Protocols which aren't
fully supported in 10.4.  But I did build a special version  
ObjectiveCPlugin.1.1.1.OSX10.4.xOnly. bundle.zip
which you again will find on the ftp site in the experimental folder.  
That 10.4.x only plugin doesn't support
the optional protocol interface.  But likely if you need it, then you  
don't support 10.4 anyway.


--
= 
= 
= 
========================================================================
John M. McIntosh <johnmci at smalltalkconsulting.com>   Twitter:   
squeaker68882
Corporate Smalltalk Consulting Ltd.  http://www.smalltalkconsulting.com
= 
= 
= 
========================================================================








More information about the Pharo-dev mailing list